src/base/cs_sat_coupling.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_sat_coupling.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <math.h>`
`#include <stdarg.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <ple_coupling.h>`
`#include <ple_locator.h>`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "fvm_nodal.h"`
`#include "fvm_writer.h"`
`#include "cs_base.h"`
`#include "cs_coupling.h"`
`#include "cs_mesh.h"`
`#include "cs_mesh_quantities.h"`
`#include "cs_mesh_connect.h"`
`#include "cs_prototypes.h"`
`#include "cs_selector.h"`
`#include "cs_sat_coupling.h"`
Include dependency graph for cs_sat_coupling.c:

## Functions
void | ussatc (void)
void | nbccpl (cs_lnum_t *n_couplings)
void | defloc (const cs_int_t *numcpl)
void | nbecpl (const cs_int_t *numcpl, cs_int_t *ncesup, cs_int_t *nfbsup, cs_int_t *ncecpl, cs_int_t *nfbcpl, cs_int_t *ncencp, cs_int_t *nfbncp)
void | lelcpl (const cs_int_t *numcpl, const cs_int_t *ncecpl, const cs_int_t *nfbcpl, cs_int_t *lcecpl, cs_int_t *lfbcpl)
void | lencpl (const cs_int_t *numcpl, const cs_int_t *ncencp, const cs_int_t *nfbncp, cs_int_t *lcencp, cs_int_t *lfbncp)
void | npdcpl (const cs_int_t *numcpl, cs_int_t *ncedis, cs_int_t *nfbdis)
void | coocpl (const cs_int_t *numcpl, const cs_int_t *nbrpts, const cs_int_t *itydis, cs_int_t *ityloc, cs_int_t *locpts, cs_real_t *coopts, cs_real_t *djppts, cs_real_t *dofpts, cs_real_t *pndpts)
void | pondcp (const cs_int_t *const numcpl, const cs_int_t *const nbrpts, cs_int_t *const ityloc, cs_real_t *const pndcpl, cs_real_t *const distof)
void | varcpl (const cs_int_t *numcpl, const cs_int_t *nbrdis, const cs_int_t *nbrloc, const cs_int_t *ityvar, const cs_int_t *stride, cs_real_t *vardis, cs_real_t *varloc)
void | tbicpl (const cs_int_t *numcpl, const cs_int_t *nbrdis, const cs_int_t *nbrloc, cs_int_t *vardis, cs_int_t *varloc)
void | tbrcpl (const cs_int_t *numcpl, const cs_int_t *nbrdis, const cs_int_t *nbrloc, cs_real_t *vardis, cs_real_t *varloc)
void | mxicpl (const cs_int_t *numcpl, cs_int_t *vardis, cs_int_t *varmax)
void | cs_sat_coupling_define (const char *saturne_name, const char *boundary_cpl_criteria, const char *volume_cpl_criteria, const char *boundary_sup_criteria, const char *volume_sup_criteria, int verbosity)
int | cs_sat_coupling_n_couplings (void)
cs_sat_coupling_t * | cs_sat_coupling_by_id (int coupling_id)
void | cs_sat_coupling_all_init (void)
void | cs_sat_coupling_add (const char *face_cpl_sel_c, const char *cell_cpl_sel_c, const char *face_sup_sel_c, const char *cell_sup_sel_c, const char *sat_name, int verbosity)
void | cs_sat_coupling_all_finalize (void)

## Function Documentation

void coocpl | ( | const cs_int_t * | numcpl,
|  | const cs_int_t * | nbrpts,
|  | const cs_int_t * | itydis,
|  | cs_int_t * | ityloc,
|  | cs_int_t * | locpts,
|  | cs_real_t * | coopts,
|  | cs_real_t * | djppts,
|  | cs_real_t * | dofpts,
|  | cs_real_t * | pndpts
| ) |  |

void cs_sat_coupling_add | ( | const char * | face_cpl_sel_c,
|  | const char * | cell_cpl_sel_c,
|  | const char * | face_sup_sel_c,
|  | const char * | cell_sup_sel_c,
|  | const char * | sat_name,
|  | int | verbosity
| ) |  |

void cs_sat_coupling_all_finalize | ( | void |  | ) |

void cs_sat_coupling_all_init | ( | void |  | ) |

cs_sat_coupling_t* cs_sat_coupling_by_id | ( | int | coupling_id | ) |

void cs_sat_coupling_define | ( | const char * | saturne_name,
|  | const char * | boundary_cpl_criteria,
|  | const char * | volume_cpl_criteria,
|  | const char * | boundary_sup_criteria,
|  | const char * | volume_sup_criteria,
|  | int | verbosity
| ) |  |

int cs_sat_coupling_n_couplings | ( | void |  | ) |

void defloc | ( | const cs_int_t * | numcpl | ) |

void lelcpl | ( | const cs_int_t * | numcpl,
|  | const cs_int_t * | ncecpl,
|  | const cs_int_t * | nfbcpl,
|  | cs_int_t * | lcecpl,
|  | cs_int_t * | lfbcpl
| ) |  |

void lencpl | ( | const cs_int_t * | numcpl,
|  | const cs_int_t * | ncencp,
|  | const cs_int_t * | nfbncp,
|  | cs_int_t * | lcencp,
|  | cs_int_t * | lfbncp
| ) |  |

void mxicpl | ( | const cs_int_t * | numcpl,
|  | cs_int_t * | vardis,
|  | cs_int_t * | varmax
| ) |  |

void nbccpl | ( | cs_lnum_t * | n_couplings | ) |

void nbecpl | ( | const cs_int_t * | numcpl,
|  | cs_int_t * | ncesup,
|  | cs_int_t * | nfbsup,
|  | cs_int_t * | ncecpl,
|  | cs_int_t * | nfbcpl,
|  | cs_int_t * | ncencp,
|  | cs_int_t * | nfbncp
| ) |  |

void npdcpl | ( | const cs_int_t * | numcpl,
|  | cs_int_t * | ncedis,
|  | cs_int_t * | nfbdis
| ) |  |

void pondcp | ( | const cs_int_t *const | numcpl,
|  | const cs_int_t *const | nbrpts,
|  | cs_int_t *const | ityloc,
|  | cs_real_t *const | pndcpl,
|  | cs_real_t *const | distof
| ) |  |

void tbicpl | ( | const cs_int_t * | numcpl,
|  | const cs_int_t * | nbrdis,
|  | const cs_int_t * | nbrloc,
|  | cs_int_t * | vardis,
|  | cs_int_t * | varloc
| ) |  |

void tbrcpl | ( | const cs_int_t * | numcpl,
|  | const cs_int_t * | nbrdis,
|  | const cs_int_t * | nbrloc,
|  | cs_real_t * | vardis,
|  | cs_real_t * | varloc
| ) |  |

void ussatc | ( | void |  | ) |

void varcpl | ( | const cs_int_t * | numcpl,
|  | const cs_int_t * | nbrdis,
|  | const cs_int_t * | nbrloc,
|  | const cs_int_t * | ityvar,
|  | const cs_int_t * | stride,
|  | cs_real_t * | vardis,
|  | cs_real_t * | varloc
| ) |  |